OBJS=$(patsubst %cpp,%o,$(wildcard *.cpp))
OBJSD=$(patsubst %cpp,%d,$(wildcard *.cpp))

.SUFFIXES: .cpp

CC=g++
CFLAGS+=-std=c++11 -I../include -I../rtx_rtplib -I../rtx_stdlib -I../rtx_codec -I../thirdparties/libyuv/include -O3 -Wall -fmessage-length=0 -Wno-write-strings -Wno-delete-non-virtual-dtor -fPIC -MMD -MP -fpermissive
CPPFLAGS=

.cpp.o:
	$(CC) -c $(CFLAGS) $(CPPFLAGS) -o $@ $<

# All Target
all: librtx_codec_video_vpx.so

# Tool invocations
librtx_codec_video_vpx.so: $(OBJS) $(USER_OBJS)
	$(CC) -L/usr/lib -L../rtx_rtplib -L../rtx_stdlib -L../rtx_codec -L../rtx_media_tools \
	-pthread -Wl,--no-as-needed -ldl -shared -o $@ $(OBJS) $(USER_OBJS) $(LIBS) \
	-lrtx_rtplib -lrtx_stdlib -lrtx_codec -lvpx -lrtx_media_tools

# Other Targets
clean:
	-$(RM) $(LIBRARIES) $(CC_DEPS) $(C++_DEPS) $(C_UPPER_DEPS) $(CXX_DEPS) $(OBJS) $(OBJSD) $(CPP_DEPS) $(C_DEPS) librtx_codec_video_vpx.so
	-@echo ' '

.PHONY: all clean dependents
